%define name	perl-Crypt-OpenSSL-Random
%define module  Crypt-OpenSSL-Random
%define version	0.04
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Crypt-OpenSSL-Random module for perl 
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Crypt/%{module}-%{version}.tar.gz
Requires:	openssl
Buildrequires: perl-devel
Buildrequires: openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Crypt-OpenSSL-Random module for perl

%prep
%setup -q -n %{module}-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes 
%{perl_vendorlib}/*/auto/Crypt/OpenSSL/Random/Random.so
%{perl_vendorlib}/*/auto/Crypt/OpenSSL/Random/autosplit.ix
%{perl_vendorlib}/*/Crypt/OpenSSL/Random.pm
%{_mandir}/*/*



%changelog
* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
+ Revision: 56122
- new version


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-9mdv2007.0
- Rebuild

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.03-8mdk
- rebuilt against openssl-0.9.8a

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-7mdk
- Fix previous mistake

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-6mdk
- Fix BuildRequires

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.03-5mdk
- rebuild for new perl

* Wed Jun 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.03-4mdk
- Move manpages in the standard location (man3 instead of man3pm)

